%define upstream_name    txt2html
%define module_name      HTML-TextToHTML
%define upstream_version 2.52

Name:       perl-%{module_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert plain text file to HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz
# fixes https://rt.cpan.org/Ticket/Display.html?id=78248
Patch0:     txt2html-2.52-fix_txt2html_version.patch

Provides:   %{upstream_name}

BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
# dependencies of txt2html script, not gathered automatically because of #52267
Requires:   perl(Pod::Usage)
Requires:   perl(Getopt::Long)
Requires:   perl(File::Basename)
Requires:   perl(Getopt::ArgvFile)
%description
HTML::TextToHTML converts plain text files to HTML. The txt2html
script uses this module to do the same from the command-line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes DEVNOTES LICENSE META.yml MYMETA.yml README TODO
%{_bindir}/txt2html
%{_mandir}/man1/txt2html.1*
%{_mandir}/man3/HTML*
%perl_vendorlib/HTML*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.520.0-2.mga3
+ Revision: 368153
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 jquelin <jquelin> 2.520.0-1.mga3
+ Revision: 268453
- update to 2.52

* Thu Jan 20 2011 jquelin <jquelin> 2.510.0-1.mga1
+ Revision: 26341
- mageia rebuild
- imported package perl-HTML-TextToHTML

